# Uses of Interface
org.opensaml.soap.wstrust.EncryptWith

Packages that use EncryptWith
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of EncryptWith in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement EncryptWith
Modifier and Type
Class
Description
`class`
`EncryptWithImpl`
EncryptWithImpl.
Methods in org.opensaml.soap.wstrust.impl that return EncryptWith
Modifier and Type
Method
Description
`EncryptWith`
EncryptWithBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`EncryptWith`
EncryptWithBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.